<bugID>1385754<Summary>It takes time to change the state of the menu Undo (Ctrl+Z) in Library</Summary><Description>Reproducible: always

Steps To Reproduce:
1. Create many bookmarks in a folder. Optionally restart browser
2. Open Library
3. Delete the folder and Undo (Ctrl+Z)
4. Immediately, Open "Organize" menu
   --- Observe status of "Undo (Ctrl+Z)" menu

Actual Results:
"Undo (Ctrl+Z)" menu is still enabled.
After a while and checking the menu again, the menu turned to gray color(i.e, it is disabled).

Expected Results:
Immediately, "Undo (Ctrl+Z)" menu should be grayed out(i.e, it should be disabled).</Description></bugID>